package com.ym.mec.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author hgw
 * Created by 2021-12-06
 */
@ApiModel(value = "平台服务付费模式信息")
public class PlatformServeModeVo implements Serializable {

    /**
     * 付费模式 月/年
     */
    @ApiModelProperty(value = "付费模式 月/年")
    private String mode;

    /**
     * 各个付费模式的详情集合
     */
    private List<PlatformServeModeDetailVo> list;

    /**
     * 各个付费模式的详情
     */
    static class PlatformServeModeDetailVo implements Serializable {

        @ApiModelProperty(value = "付费模式的详情的id")
        private Integer id;

        @ApiModelProperty(value = "学员上限")
        private Integer studentUpLimit;

        @ApiModelProperty(value = "服务原价")
        private BigDecimal originalPrice;

        public Integer getId() {
            return id;
        }

        public void setId(Integer id) {
            this.id = id;
        }

        public Integer getStudentUpLimit() {
            return studentUpLimit;
        }

        public void setStudentUpLimit(Integer studentUpLimit) {
            this.studentUpLimit = studentUpLimit;
        }

        public BigDecimal getOriginalPrice() {
            return originalPrice;
        }

        public void setOriginalPrice(BigDecimal originalPrice) {
            this.originalPrice = originalPrice;
        }

    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public List<PlatformServeModeDetailVo> getList() {
        return list;
    }

    public void setList(List<PlatformServeModeDetailVo> list) {
        this.list = list;
    }
}
